# [![icon](https://sv443.net/cdn/jokeapi/icon_readme.png)](#readme)<br>JokeAPI

### A REST API that serves uniformly and well formatted jokes and offers a great variety of filtering methods and response customization

[![GitHub](https://img.shields.io/github/license/Sv443-Network/JokeAPI)](https://sv443.net/LICENSE)
[![Uptime / 7 Days](https://img.shields.io/uptimerobot/ratio/7/m784261094-bff76b959ebb8fc39f7eb2d0)](https://status.sv443.net/)
[![Open Issues](https://img.shields.io/github/issues/Sv443-Network/JokeAPI)](https://github.com/Sv443-Network/JokeAPI/issues)

[![Actions Status](https://github.com/Sv443-Network/JokeAPI/workflows/build/badge.svg)](https://github.com/Sv443-Network/JokeAPI/actions)
[![Known Vulnerabilities](https://snyk.io/test/github/Sv443-Network/JokeAPI/badge.svg)](https://snyk.io/test/github/Sv443-Network/JokeAPI)

[![Discord](https://img.shields.io/discord/565933531214118942)](https://discord.gg/aBH4uRG)
[![GitHub stars](https://img.shields.io/github/stars/Sv443-Network/JokeAPI?style=social)](https://github.com/Sv443-Network/JokeAPI/stargazers)

<br><br>

# [Documentation](https://jokeapi.dev/)

## [Try it out](https://jokeapi.dev/#try-it) &bull; [Changelog](./changelog.md) &bull; [Discord Server](https://dc.sv443.net/)

<br><br>

### Note: due to the different types of humor, JokeAPI contains a wide variety of jokes, of which some are very offensive. They can be filtered out using the `?blacklistFlags` or `?safe-mode` parameters, but use this API at your own risk!

### If you want to contribute to JokeAPI (code, jokes or translations), please refer to the [contributing guide.](./.github/Contributing.md)

<br><br>

# Community-made wrapper libraries:
-   <b><a href="https://github.com/DanBuxton/JokeAPI-CS-Wrapper#readme"><img src="./docs/static/external/csharp.svg" width="16" height="16" /> C#</a></b>
-   <b><a href="https://github.com/MichaelDark/jokeapi#readme"><img src="./docs/static/external/dartlang.svg" width="16" height="16" /> Dart</a></b>
-   <b><a href="https://github.com/Icelain/jokeapi#readme"><img src="./docs/static/external/golang.svg" width="16" height="16" /> Go</a></b>
-   <b><a href="https://github.com/the-codeboy/Jokes4J#readme"><img src="./docs/static/external/java.svg" width="16" height="16" /> Java (com.github.the-codeboy.Jokes4J)</a></b>
-   <b><a href="https://github.com/EasyG0ing1/JavaJokesAPI#readme"><img src="./docs/static/external/java.svg" width="16" height="16" /> Java (com.simtechdata.jokeapi)</a></b>
-   <b><a href="https://github.com/ethauvin/jokeapi#readme"><img src="./docs/static/external/kotlin.svg" width="16" height="16" /><img src="./docs/static/external/java.svg" width="16" height="16" /><img src="./docs/static/external/android.svg" width="16" height="16" /> Kotlin, Java & Android (net.thauvin.erik.jokeapi)</a></b>
-   <b><a href="https://github.com/khurozov/jokeapi-java#readme"><img src="./docs/static/external/java.svg" width="16" height="16" /> Java (uz.khurozov.jokeapi-java)</a></b>
-   <b><a href="https://github.com/sahithyandev/sv443-joke-api-js-wrapper#readme"><img src="./docs/static/external/nodejs.svg" width="16" height="16" /> Node.js</a></b>
-   <b><a href="https://github.com/IllusionMan1212/jokeapi-odin#readme"><img src="./docs/static/external/odin.svg" width="16" height="16" /> Odin</a></b>
-   <b><a href="https://github.com/thenamesweretakenalready/Sv443s-JokeAPI-Python-Wrapper#readme"><img src="./docs/static/external/python.svg" width="16" height="16" /> Python</a></b>
-   <b><a href="https://github.com/canarado/joketeller#readme"><img src="./docs/static/external/rust.svg" width="16" height="16" /> Rust</a></b>
-   <b><a href="https://github.com/bitstep-ie/jokeapi#readme"><img src="./docs/static/external/typescript.svg" width="16" height="16" /> TypeScript</a></b>

<br>

# Projects that use JokeAPI:

| Project                                                                                                  | Author                                                     |
| -------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------- |
| [dozens Advices](https://github.com/ZephyrVentum/dozens-Advices)                                         | [ZephyrVentum](https://github.com/ZephyrVentum)            |
| [Shadow](https://github.com/QGIsK/Shadow)                                                                | [QGIsK](https://github.com/QGIsK)                          |
| [Jokepy](https://github.com/aksty/Jokepy)                                                                | [aksty](https://github.com/aksty)                          |
| [Dark1](https://github.com/whiteadi/Dark1)                                                               | [whiteadi](https://github.com/whiteadi)                    |
| [Prejudice Networks](https://github.com/LiamTownsley/Prejudice-Networks)                                 | [Liam Townsley](https://github.com/LiamTownsley)           |
| [https://irshad.ml/humour.html](https://irshad.ml/humour.html)                                           | [draco-malfoy](https://github.com/draco-malfoy)            |
| [Random Joke Generator with Flutter](https://github.com/variousnabil/Random-Joke-Generator-with-Flutter) | [variousnabil](https://github.com/variousnabil)            |
| [comma](https://thatcopy.pw/comma)                                                                       | [ThatCopy](https://github.com/ThatCopy)                    |
| [Joke Teller](https://github.com/AlHood77/Joke_Teller)                                                   | [AlHood77](https://github.com/AlHood77)                    |
| [Jokes plugin for Craft CMS 3.x](https://github.com/remcoov/jokes)                                       | [remcoov](https://github.com/remcoov)                      |
| [PoshBot.Joker](https://github.com/ToastIT-dev/PoshBot.Joker)                                            | [ToastIT-dev](https://github.com/ToastIT-dev)              |
| [JokeAPI_ComputerCraft](https://github.com/Sv443-Network/JokeAPI_ComputerCraft)                                  | [Sv443](https://github.com/Sv443)                          |
| [Dev Dad Jokes](https://github.com/jonathanbossenger/devdadjokes)                                        | [Jonathan Bossenger](https://github.com/jonathanbossenger) |

<br>

Project submissions are paused for the foreseeable future.
<!-- [Submit an issue](https://github.com/Sv443-Network/JokeAPI/issues/new/choose) and select `Dependent` to get your project added here -->

<!--
Old list-style dependents:
- [dozens Advices](https://github.com/ZephyrVentum/dozens-Advices) by [ZephyrVentum](https://github.com/ZephyrVentum)
- [Shadow-bot](https://github.com/QGIsK/Shadow-bot) by [QGIsK](https://github.com/QGIsK)
- [Jokepy](https://github.com/aksty/Jokepy) by [aksty](https://github.com/aksty)
- [Dark1](https://github.com/whiteadi/Dark1) by [whiteadi](https://github.com/whiteadi)
- [Prejudice Networks](https://github.com/LiamTownsley/Prejudice-Networks) by [Liam Townsley](https://github.com/LiamTownsley)
- [https://irshad.ml/humour.html](https://irshad.ml/humour.html) by [draco-malfoy](https://github.com/draco-malfoy)
- [Random Joke Generator with Flutter](https://github.com/variousnabil/Random-Joke-Generator-with-Flutter) by [variousnabil](https://github.com/variousnabil)
- [comma](https://thatcopy.pw/comma) by [ThatCopy](https://github.com/ThatCopy)
- [Joke Teller](https://github.com/AlHood77/Joke_Teller) by [AlHood77](https://github.com/AlHood77)
- [Jokes plugin for Craft CMS 3.x](https://github.com/remcoov/jokes) by [remcoov](https://github.com/remcoov)
- [PoshBot.Joker](https://github.com/ToastIT-dev/PoshBot.Joker) by [ToastIT-dev](https://github.com/ToastIT-dev)
- [JokeAPI_ComputerCraft](https://github.com/Sv443-Network/JokeAPI_ComputerCraft) by [Sv443](https://github.com/Sv443)
-->

<br><br>

Made with ❤️ by [Sv443](https://github.com/Sv443) and [contributors](https://github.com/Sv443-Network/JokeAPI/graphs/contributors)  
Like JokeAPI? Please consider [supporting me](https://github.com/sponsors/Sv443)
